Bug 426829 - Review Request: perl-XML-Handler-YAWriter - Yet another Perl SAX XML Writer
Review Request: perl-XML-Handler-YAWriter - Yet another Perl SAX XML Writer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-26 20:31 EST by Xavier Bachelot
Modified: 2007-12-28 17:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-28 17:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2007-12-26 20:31:26 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-XML-Handler-YAWriter.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-XML-Handler-YAWriter-0.23-2.fc8.src.rpm
Description: YAWriter implements Yet Another XML::Handler::Writer.
Comment 1 Parag AN(पराग) 2007-12-26 23:09:48 EST
I see only file mentioned license text is
YAWriter.pm:# and/or modify this copy under terms of GNU General Public License.
for license and don't see text like this
"This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself."

so I guess License should be only GPL+
Comment 3 Parag AN(पराग) 2007-12-27 22:28:33 EST
Review:
+ package builds in mock (rawhide).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
c7ba2a828a284d6a13ea6fbbfec2b162  XML-Handler-YAWriter-0.23.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
1..5
ok 1
ok 2
ok 3
ok 4
ok 5
ok 6
ok 7
ok 8
+exit 0
+ Package perl-XML-Handler-YAWriter-0.23-3.fc9 ->
  Provides: perl(XML::Handler::YAWriter)
  Requires: /usr/bin/perl perl(:MODULE_COMPAT_5.8.8) perl(IO::File)
perl(XML::Handler::YAWriter) perl(XML::Parser::PerlSAX) perl(strict) perl(vars)
APPROVED.
Comment 4 Xavier Bachelot 2007-12-28 05:59:30 EST
Thx for the review Parag.

New Package CVS Request
=======================
Package Name: perl-XML-Handler-YAWriter
Short Description: Yet another Perl SAX XML Writer
Owners: xavierb
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-12-28 12:46:04 EST
cvs done.
Comment 6 Xavier Bachelot 2007-12-28 17:31:19 EST
Thx Kevin.

Imported and built for devel and F-8.

Note You need to log in before you can comment on or make changes to this bug.